[dpdk-dev] [PATCH v2] devtools: fix meson build test to exit on failure

Bruce Richardson bruce.richardson at intel.com
Tue Mar 12 11:18:28 CET 2019


When piping the ninja command through cat, we lose the error value from
the call to ninja in the case of failure. This prevents the script from
exiting at the first broken build. Fix this by setting the "pipefail"
shell option.

Fixes: 4bcb9b768604 ("devtools: add verbose option to meson build test")

Signed-off-by: Bruce Richardson <bruce.richardson at intel.com>
---
V2: fix typo in commit message

 devtools/test-meson-builds.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index f82a0fd6c..9f5620583 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,6 +7,8 @@
 # * if a build-directory already exists we assume it was properly configured
 # Run ninja after configuration is done.
 
+set -o pipefail
+
 srcdir=$(dirname $(readlink -f $0))/..
 MESON=${MESON:-meson}
 use_shared="--default-library=shared"
-- 
2.20.1



More information about the dev mailing list